package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.Goods;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.biz.dal.entity.StudentPaymentOrderDetail;

import java.math.BigDecimal;
import java.util.List;

public class StudentPaymentOrderExportDto extends StudentPaymentOrder {
    //零星费用
    private BigDecimal sporadicAmount;

    //零星费用类型
    private String sporadicType;

    private BigDecimal courseFee;

    private BigDecimal highOnlineCourseFee;

    //乐器费用
    private BigDecimal musicalFee;

    //租赁费用
    private BigDecimal leaseFee;

    //教辅费用
    private BigDecimal teachingFee;

    //维修费用
    private BigDecimal repairFee;

    //手续费
    private BigDecimal transferFee;

    private String organName;
    private String schoolName;
    private String subjectName;
    private String cooperationOrganName;

    private Integer chargeType;

    private List<StudentPaymentOrderDetail> orderDetailList;

    private List<Goods> goodsList;

    //收款账户
    private String routeMerNo;

    //分润金额
    private BigDecimal routeAmount;

    //分润余额
    private BigDecimal routeBalance;

    public BigDecimal getSporadicAmount() {
        return sporadicAmount;
    }

    public void setSporadicAmount(BigDecimal sporadicAmount) {
        this.sporadicAmount = sporadicAmount;
    }

    public BigDecimal getMusicalFee() {
        return musicalFee;
    }

    public void setMusicalFee(BigDecimal musicalFee) {
        this.musicalFee = musicalFee;
    }

    public BigDecimal getTeachingFee() {
        return teachingFee;
    }

    public void setTeachingFee(BigDecimal teachingFee) {
        this.teachingFee = teachingFee;
    }

    public BigDecimal getTransferFee() {
        return transferFee;
    }

    public void setTransferFee(BigDecimal transferFee) {
        this.transferFee = transferFee;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getSporadicType() {
        return sporadicType;
    }

    public void setSporadicType(String sporadicType) {
        this.sporadicType = sporadicType;
    }

    public BigDecimal getLeaseFee() {
        return leaseFee;
    }

    public void setLeaseFee(BigDecimal leaseFee) {
        this.leaseFee = leaseFee;
    }

    public List<StudentPaymentOrderDetail> getOrderDetailList() {
        return orderDetailList;
    }

    public void setOrderDetailList(List<StudentPaymentOrderDetail> orderDetailList) {
        this.orderDetailList = orderDetailList;
    }

    public Integer getChargeType() {
        return chargeType;
    }

    public void setChargeType(Integer chargeType) {
        this.chargeType = chargeType;
    }

    public BigDecimal getCourseFee() {
        return courseFee;
    }

    public void setCourseFee(BigDecimal courseFee) {
        this.courseFee = courseFee;
    }

    public List<Goods> getGoodsList() {
        return goodsList;
    }

    public void setGoodsList(List<Goods> goodsList) {
        this.goodsList = goodsList;
    }

    public String getCooperationOrganName() {
        return cooperationOrganName;
    }

    public void setCooperationOrganName(String cooperationOrganName) {
        this.cooperationOrganName = cooperationOrganName;
    }

    public String getRouteMerNo() {
        return routeMerNo;
    }

    public void setRouteMerNo(String routeMerNo) {
        this.routeMerNo = routeMerNo;
    }

    public BigDecimal getRouteAmount() {
        return routeAmount;
    }

    public void setRouteAmount(BigDecimal routeAmount) {
        this.routeAmount = routeAmount;
    }

    public BigDecimal getRouteBalance() {
        return routeBalance;
    }

    public void setRouteBalance(BigDecimal routeBalance) {
        this.routeBalance = routeBalance;
    }

    public BigDecimal getHighOnlineCourseFee() {
        return highOnlineCourseFee;
    }

    public void setHighOnlineCourseFee(BigDecimal highOnlineCourseFee) {
        this.highOnlineCourseFee = highOnlineCourseFee;
    }

    public BigDecimal getRepairFee() {
        return repairFee;
    }

    public void setRepairFee(BigDecimal repairFee) {
        this.repairFee = repairFee;
    }
}
